commit:     64c559ddee2904aff069b99f6aa51a09934d4795
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Sep  6 05:44:01 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Sep  6 06:23:20 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=64c559dd

dev-python/setuptools: Bump to 57.5.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/setuptools/Manifest                     |  1 +
 .../files/setuptools-57.5.0-syntaxerror.patch      | 37 +++++++++
 dev-python/setuptools/setuptools-57.5.0.ebuild     | 92 ++++++++++++++++++++++
 3 files changed, 130 insertions(+)

diff --git a/dev-python/setuptools/Manifest b/dev-python/setuptools/Manifest
index d54c265cd19..d1dc27892fc 100644
--- a/dev-python/setuptools/Manifest
+++ b/dev-python/setuptools/Manifest
@@ -1,2 +1,3 @@
 DIST python-gentoo-patches-3.10.0rc1.tar.xz 8112 BLAKE2B 
d6f9b44c5a231f447ffe3533afbcaffe0f3b8bdd5a6690f1854bd7e1199d036d11a4cf4abfae345a88c42740ccbd4b72e53cbe28aea1a5db39dda1e5bfd47229
 SHA512 
bba7045f56369ca0354a539f8478a1afed77dc89a9faf548a0cf8959d644360b0afc4f84b95151ebfc2a6553078322c7445073f7a4104e9cd639ccc86ad0f792
 DIST setuptools-57.4.0.tar.gz 2141309 BLAKE2B 
89b386b6d5bbac61df400f60c91a0a9b9ee381aec7d2f65a856c317c7b0b5512c5e9aa8844c0e64f1840a8e954ae22ed542ad97a104d5416b1df2ac02351809b
 SHA512 
7fcc297ea3e6310f2ec8ba5bf0d509e3f4acbce6bde7e5f0fe1b022c147cf88a047471bd4aa278724e86ebc6be800015fb935c7a31dbb6a0801a2d380ddd89f2
+DIST setuptools-57.5.0.tar.gz 2141727 BLAKE2B 
54c065e0bdcb0c3a0a76026d78ab26615e07ee013e684ef18c3731757a38efe38d21d4c99b687595873679d77ab8381cccc483847467c98eb7086d9cac5bd8ec
 SHA512 
9dae7cbddcca0859d128f528232c2ab6baca2b4447bba129a7bbc014c98a8ecc866cc71c7e93900bb93ea4bbbe5e398c1c3b4a4867afb2caf2c38a2d5a46d67c

diff --git a/dev-python/setuptools/files/setuptools-57.5.0-syntaxerror.patch 
b/dev-python/setuptools/files/setuptools-57.5.0-syntaxerror.patch
new file mode 100644
index 00000000000..6df79402222
--- /dev/null
+++ b/dev-python/setuptools/files/setuptools-57.5.0-syntaxerror.patch
@@ -0,0 +1,37 @@
+From ad05b5dfebbc9025b631d6afffa25cdda8079d25 Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?Micha=C5=82=20G=C3=B3rny?= <[email protected]>
+Date: Mon, 6 Sep 2021 07:41:24 +0200
+Subject: [PATCH] Fix syntax error in test_build_meta's pyproject.toml files
+
+Fix missing closing quotes in pyproject.toml files used
+in test_build_meta's tests.  This fixes the test failures due
+to TOMLDecodeError.
+---
+ setuptools/tests/test_build_meta.py | 4 ++--
+ 1 file changed, 2 insertions(+), 2 deletions(-)
+
+diff --git a/setuptools/tests/test_build_meta.py 
b/setuptools/tests/test_build_meta.py
+index ab75a189..0f4a1a73 100644
+--- a/setuptools/tests/test_build_meta.py
++++ b/setuptools/tests/test_build_meta.py
+@@ -167,7 +167,7 @@ class TestBuildMetaBackend:
+             'pyproject.toml': DALS("""
+                 [build-system]
+                 requires = ["setuptools", "wheel"]
+-                build-backend = "setuptools.build_meta
++                build-backend = "setuptools.build_meta"
+             """),
+         }
+ 
+@@ -260,7 +260,7 @@ class TestBuildMetaBackend:
+             'pyproject.toml': DALS("""
+                 [build-system]
+                 requires = ["setuptools", "wheel"]
+-                build-backend = "setuptools.build_meta
++                build-backend = "setuptools.build_meta"
+                 """),
+         }
+         path.build(files)
+-- 
+2.33.0
+

diff --git a/dev-python/setuptools/setuptools-57.5.0.ebuild 
b/dev-python/setuptools/setuptools-57.5.0.ebuild
new file mode 100644
index 00000000000..ebe5023e235
--- /dev/null
+++ b/dev-python/setuptools/setuptools-57.5.0.ebuild
@@ -0,0 +1,92 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 7 -- sys-apps/portage dep
+EAPI=7
+
+# Set to 'manual' to avoid triggering install QA check
+DISTUTILS_USE_SETUPTOOLS=manual
+PYTHON_COMPAT=( python3_{8..10} pypy3 )
+PYTHON_REQ_USE="xml(+)"
+
+inherit distutils-r1 multiprocessing
+
+CPY_PATCHSET="python-gentoo-patches-3.10.0rc1"
+DESCRIPTION="Collection of extensions to Distutils"
+HOMEPAGE="https://github.com/pypa/setuptools 
https://pypi.org/project/setuptools/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz
+       https://dev.gentoo.org/~mgorny/dist/python/${CPY_PATCHSET}.tar.xz";
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv 
~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos 
~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+       test? (
+               $(python_gen_cond_dep '
+                       dev-python/jaraco-envs[${PYTHON_USEDEP}]
+                       >=dev-python/jaraco-path-3.2.0[${PYTHON_USEDEP}]
+                       dev-python/mock[${PYTHON_USEDEP}]
+                       dev-python/pip[${PYTHON_USEDEP}]
+                       dev-python/sphinx[${PYTHON_USEDEP}]
+                       dev-python/pytest[${PYTHON_USEDEP}]
+                       dev-python/pytest-fixture-config[${PYTHON_USEDEP}]
+                       dev-python/pytest-virtualenv[${PYTHON_USEDEP}]
+                       dev-python/pytest-xdist[${PYTHON_USEDEP}]
+                       >=dev-python/virtualenv-20[${PYTHON_USEDEP}]
+                       dev-python/wheel[${PYTHON_USEDEP}]
+               ' python3_{8..10} pypy3)
+       )
+"
+PDEPEND="
+       >=dev-python/certifi-2016.9.26[${PYTHON_USEDEP}]
+       dev-python/setuptools_scm[${PYTHON_USEDEP}]"
+
+# Force in-source build because build system modifies sources.
+DISTUTILS_IN_SOURCE_BUILD=1
+
+PATCHES=(
+       "${FILESDIR}"/setuptools-57.5.0-syntaxerror.patch
+)
+
+DOCS=( {CHANGES,README}.rst )
+
+src_prepare() {
+       # apply distutils patches to the bundled distutils
+       pushd setuptools/_distutils >/dev/null || die
+       # TODO: distutils C++ patch?
+       eapply -p3 
"${WORKDIR}/${CPY_PATCHSET}/0006-distutils-make-OO-enable-both-opt-1-and-opt-2-optimi.patch"
+       popd >/dev/null || die
+
+       distutils-r1_src_prepare
+}
+
+python_test() {
+       # keep in sync with python_gen_cond_dep above!
+       has "${EPYTHON}" python3.{8..10} pypy3 || continue
+
+       distutils_install_for_testing
+       local deselect=(
+               # network
+               
'setuptools/tests/test_virtualenv.py::test_pip_upgrade_from_source[None]'
+               setuptools/tests/test_distutils_adoption.py
+               # TODO
+               
setuptools/tests/test_easy_install.py::TestSetupRequires::test_setup_requires_with_allow_hosts
+       )
+       [[ ${EPYTHON} == pypy3 ]] && deselect+=(
+               
setuptools/tests/test_develop.py::TestDevelop::test_2to3_user_mode
+       )
+
+       # test_easy_install raises a SandboxViolation due to 
${HOME}/.pydistutils.cfg
+       # It tries to sandbox the test in a tempdir
+       HOME="${PWD}" epytest ${deselect[@]/#/--deselect } \
+               -n "$(makeopts_jobs "${MAKEOPTS}" "$(get_nproc)")" \
+               setuptools
+}
+
+python_install() {
+       export DISTRIBUTE_DISABLE_VERSIONED_EASY_INSTALL_SCRIPT=1
+       distutils-r1_python_install
+}

Reply via email to